Subject: Re: [RFC PATCH 1/2] powerpc/xive: guest exploitation of the XIVE interrupt controller

From: David Gibson <[email-masked]>
Date: Wed, 5 Jul 2017 21:07:02 +1000

On Mon, Jul 03, 2017 at 09:11:18AM +0200, Cédric Le Goater wrote:
> On 07/03/2017 06:19 AM, Benjamin Herrenschmidt wrote:
> > On Mon, 2017-07-03 at 13:55 +1000, David Gibson wrote:
> >>> Calls that still need to be addressed :
> >>>
> >>>     H_INT_SET_OS_REPORTING_LINE
> >>>     H_INT_GET_OS_REPORTING_LINE
> >>>     H_INT_ESB
> >>>     H_INT_SYNC
> >>
> >> So, does this mean there's a PAPR update with the XIVE virtualization
> >> stuff?  Or at least an ACR?  Can we have that available please...
> > 
> > There is, I will try to get it published.
> 
> Until then, the QEMU support will have some documentation on the 
> hcalls and on the device tree.
> 
> I am still struggling with CAS on QEMU. POWER9 supports both the 
> legacy XICS model and the newer one, XIVE, and we can switch from 
> one another depending on the guest kernel. This is a serious 
> headache for the model as the ICS/ICP objects are chosen after 
> the guest has booted.

Ah.

I don't know if it helps, but we do have the ability to trigger a full
system reset from CAS, so possibly we can do the XICS/XIVE
instantiation in the reset path.

I don't think we use that CAS reset ability yet - we just adjust the
device tree and continue the boot.  But it's there if we need it.

Worst comes to worst, we might have to instantiate both XICS and XIVE
objects, with some flags in each indicating which is active.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson